{
Copyright (C) 2000 Eike Lange

Author: Eike Lange <eike.lange@uni-essen.de>

Connects to PostgreSQL using Postgres-Unit, creates a table,
inserts some data and shows them, Dropping the table afterwards.
You should change the name of the connected database (test) and
the username (proger).

This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, version 2.

This program is distributed in the hope that it will be useful, but
WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
for more details.

You should have received a copy of the GNU General Public License
along with this program; see the file COPYING.  If not, write to
the Free Software Foundation, Inc., 59 Temple Place - Suite 330, Boston,
MA 02111-1307, USA.
}
Program cratshowdrop;

uses
	postgres;

var
	connection : PGConn;
	res : PGResult; 
	i : Integer;
	num : Integer;
	
BEGIN
	connection := PQSetDbLogin(nil, nil, nil, nil, 'test', 'proger', nil);
	if PQStatus(connection) = CONNECTION_OK then
	begin
		res := PQExec(connection, 'CREATE TABLE testtable1(nr INT2, name VARCHAR)');
		if PQResultStatus(res) <> PGRES_COMMAND_OK then
		begin
			writeln('CREATE TABLE failed');
			PQFinish(connection);
			Halt (1);
		end;

		writeln('Table ''testtable1'' created, fill some data in it');
		
		PQExec(connection, 'INSERT INTO testtable1 VALUES (1, ''Maria'')');
		PQExec(connection, 'INSERT INTO testtable1 VALUES (2, ''Paul'')');
		PQExec(connection, 'INSERT INTO testtable1 VALUES (3, ''Johannes'')');
		
		res:=PQExec(connection, 'SELECT * FROM testtable1');
		if PQResultStatus(res) <> PGRES_TUPLES_OK then
		begin
			writeln('SELECT failed');
			PQFinish(connection);
			Halt (1);
		end;
		
		writeln('Lets see, what is in there...');
		
		{ Find out the number of tuples }
		num := PQNTuples(res);
		
		{ Show all the Data in }
		for i := 0 to num-1 do
			writeln(PQGetValue(res, i, 0), '|', PQGetValue(res, i, 1));
		
		{ Ok, drop the Database }
		res := PQExec(connection, 'DROP TABLE testtable1');
		if PQResultStatus(res) <> PGRES_COMMAND_OK then
			writeln('DROP TABLE failed');
		
		writeln ('Table dropped, clean up');
		
		{ Clean up }
		PQClear(res);
		PQFinish(connection)
		
	end
	else
		writeln('Connection to PostgreSQL-Server not established')
END.