{
Copyright (C) 2000 Eike Lange

Author: Eike Lange <eike.lange@uni-essen.de>

This program prints out the tuples, received by a query,
into a file and to stdout.

This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, version 2.

This program is distributed in the hope that it will be useful, but
WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
for more details.

You should have received a copy of the GNU General Public License
along with this program; see the file COPYING.  If not, write to
the Free Software Foundation, Inc., 59 Temple Place - Suite 330, Boston,
MA 02111-1307, USA.
}
Program PrintTuples;

uses
	postgres, gpc;

var
	connection : PGConn;
	res : PGResult;
	f : Text;
	ppqpo : PPQPrintOpt;
	
BEGIN
	connection := PQSetDbLogin(nil, nil, nil, nil, 'test', 'proger', nil);
	if PQStatus(connection) = CONNECTION_OK then
	begin
		res:=PQExec(connection, 'SELECT * FROM testtable');
		if PQResultStatus(res) <> PGRES_TUPLES_OK then
		begin
			Writeln('SELECT failed');
			PQFinish(connection);
			Halt (1);
		end;
		
		Writeln('Have a close look to the file ''tuples.out''');
	
		Assign (f, 'tuples.out');				
		Rewrite(f);
		
		Writeln(f, 'PQPrint:');
		Writeln(f);

		{ Print to file via PQPrint }
		ppqpo := new (PPQPrintOpt);
		ppqpo^.header := True;
		ppqpo^.fieldSep := '**|**';
		PQprint(f, res, ppqpo);
	
		Writeln(f);
		Writeln(f, 'PQDisplayTuples:');
		Writeln(f);
	
		{ Print to file via PQDisplayTuples }
		PQDisplayTuples(res, f, true, '-=|=- ', true, false);

		Writeln(f);
		Writeln(f, 'PQPrintTuples:');
		Writeln(f);

		{ via PQPrint }	
		PQPrintTuples(res, f, true, true, 0);
	
		Close(f);
	
		{ Clean up }
		PQClear(res);
		PQFinish(connection)
		
	end
	else
		Writeln('Connection to PostgreSQL-Server not established')
END.
