{
Copyright (C) 2000 Eike Lange

Author: Eike Lange <eike.lange@uni-essen.de>

This program creates a file "TRACE.out" and writes
all results from PQTrace in it.

This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, version 2.

This program is distributed in the hope that it will be useful, but
WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
for more details.

You should have received a copy of the GNU General Public License
along with this program; see the file COPYING.  If not, write to
the Free Software Foundation, Inc., 59 Temple Place - Suite 330, Boston,
MA 02111-1307, USA.
}
Program Tracetest;

uses
	postgres, gpc;

var
	connection : PGConn;
	res : PGResult;
	f : Text;
	
BEGIN
	connection := PQSetDbLogin(nil, nil, nil, nil, 'test', 'proger', nil);
	if PQStatus(connection) = CONNECTION_OK then
	begin
		{ Open Trace-File }
		Assign (f, 'TRACE.out');				
		Rewrite(f);
		
		{ Start Trace }
		PQTrace(connection, f);
			
		res:=PQExec(connection, 'SELECT * FROM nonexistent');
		if PQResultStatus(res) <> PGRES_TUPLES_OK then
		begin
			Writeln('SELECT failed');
			
			{ Stop Trace and close file }
			PQUnTrace(connection);
			Close(f);

			PQFinish(connection);
			Halt (1);
		end;

		PQUnTrace(connection);
		Close(f);

		{ Clean up }
		PQClear(res);
		PQFinish(connection)
	end
	else
		Writeln('Connection to PostgreSQL-Server not established')
END.
